package com.sooka.system.funeral.pay.service;

import com.sooka.system.funeral.pay.domain.TGuijiPay;

import java.util.List;

/**
 * 市殡葬-缴费基本信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiPayService
{
    /**
     * 查询市殡葬-缴费基本信息
     *
     * @param id 市殡葬-缴费基本信息ID
     * @return 市殡葬-缴费基本信息
     */
    public TGuijiPay selectById(String id);

    /**
     * 查询市殡葬-缴费基本信息列表
     *
     * @param param 市殡葬-缴费基本信息
     * @return 市殡葬-缴费基本信息集合
     */
    public List<TGuijiPay> selectList(TGuijiPay param);

    /**
     * 新增市殡葬-缴费基本信息
     *
     * @param param 市殡葬-缴费基本信息
     * @return 结果
     */
    public int insert(TGuijiPay param);

    /**
     * 修改市殡葬-缴费基本信息
     *
     * @param param 市殡葬-缴费基本信息
     * @return 结果
     */
    public int update(TGuijiPay param);

    /**
     * 批量删除市殡葬-缴费基本信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除市殡葬-缴费基本信息信息
     *
     * @param id 市殡葬-缴费基本信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
